createRouteTable

Prev Next

Available in VPC

Create a route table according to the user-defined conditions.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/createRouteTable
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code where you want to create a route table
vpcNo String Required Number of VPC where you want to create the route table
routeTableName String Optional Route table name
  • Granted automatically by NAVER Cloud Platform (default)
  • 3 to 30 characters, including letters, numbers, and the special character "-". It must begin with an English letter and end with an English letter or number.
supportedSubnetTypeCode String Required Subnet type supported by the route table you want to create
  • PUBLIC | PRIVATE
    • PUBLIC: public subnet
    • PRIVATE: private subnet
routeTableDescription String Optional Description of the route table (byte)
  • 0-1000
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/createRouteTable
?regionCode=KR
&vpcNo=***04
&routeTableName=test-***
&supportedSubnetTypeCode=PUBLIC' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See RouteTableList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<createRouteTableResponse>
  <requestId>9f59a9dc-cddf-4580-a232-3359f088a1e8</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <routeTableList>
    <routeTable>
      <routeTableNo>***38</routeTableNo>
      <routeTableName>test-***</routeTableName>
      <regionCode>KR</regionCode>
      <vpcNo>***04</vpcNo>
      <supportedSubnetType>
        <code>PUBLIC</code>
        <codeName>Public</codeName>
      </supportedSubnetType>
      <isDefault>false</isDefault>
      <routeTableStatus>
        <code>RUN</code>
        <codeName>run</codeName>
      </routeTableStatus>
      <routeTableDescription></routeTableDescription>
    </routeTable>
  </routeTableList>
</createRouteTableResponse>